[Overview][Procedures and functions][Index] | Reference for unit 'strings' (#rtl)

# strlen

Length of a null-terminated string.

## Declaration

Source position: strings.pp line 23

`function strlen(`
`p: pchar`
`):sizeint;`

## Description

Returns the length of the null-terminated string P. If P equals Nil, then zero (0) is returned.

## Errors

None.

## See also

StrNew |  | Allocate room for new null-terminated string.

## Example

    Program Example1;

    Uses strings;

    { Program to demonstrate the StrLen function. }

    Const P : PChar = 'This is a constant pchar string';

    begin
      Writeln ('P         : ',p);
      Writeln ('length(P) : ',StrLen(P));
    end.

Documentation generated on: Feb 26 2014